NX Open C++ Reference Guide
|
Represents a @link Features::StudioXform Features::StudioXform@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStudioXformBuilderEx Features::FeatureCollection::CreateStudioXformBuilderEx @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Features::StudioXformBuilderEx::AdvancedMethodType | AdvancedMethod () |
Returns the advanced method | |
NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOptionType | AdvancedMethodOption () |
Returns the advanced method Created in NX8.5.0. | |
bool | CanUseFaceFinder () |
Returns the using face finder flag Created in NX7.5.0. | |
void | ChangeDegree (NXOpen::NXObject *xformObject) |
Changes degree of the selected xform object | |
void | ChangeDegreeWithParameters (NXOpen::NXObject *xformObject, int uDegree, int vDegree, int uPatch, int vPatch) |
Changes degree of the selected xform object with desired parameters Created in NX8.5.0. | |
void | ChangeFlexibility (NXOpen::NXObject *xformObject) |
Changes flexibility of the selected xform object Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | ContinuityUMax () |
Returns the continuity at U maximum Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | ContinuityUMin () |
Returns the continuity at U minimum Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | ContinuityVMax () |
Returns the continuity at V maximum Created in NX6.0.0. | |
NXOpen::GeometricUtilities::Continuity * | ContinuityVMin () |
Returns the continuity at V minimum Created in NX6.0.0. | |
NXOpen::GeometricUtilities::ControlPoleManagerData * | ControlPoleManager () |
Returns the control pole manager Created in NX6.0.0. | |
void | ConvertParameters (NXOpen::NXObject *xformObject) |
Converts parameters of the feature that owns selected xform object. | |
NXOpen::GeometricUtilities::CurveRangeBuilder * | CurveRange () |
Returns the curve range Created in NX6.0.0. | |
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder * | DegreesAndSegmentsOrPatches () |
Returns the degrees and segments or patches Created in NX6.0.0. | |
void | EndLockRegion (NXOpen::NXObject *xformObject) |
End Lock Region operation to the selected xform object Created in NX8.5.0. | |
NXOpen::Features::StudioXformBuilderEx::ExtrationMethodType | ExtractMethod () |
Returns the b-surface extraction method Created in NX8.5.0. | |
double | ExtractTolerance () |
Returns the value indicating a tolerance to be used to extract a b-surface from a selection face Created in NX7.5.0. | |
NXOpen::Features::FaceRecognitionBuilder * | FaceFinder () |
Returns the face finder Created in NX7.5.0. | |
void | FallOffReset () |
Reset the fall off scale Created in NX6.0.0. | |
double | FallOffScale () |
Returns the fall off scale Created in NX6.0.0. | |
NXOpen::Features::StudioXformBuilderEx::FeatureType | FeatureSaveMethod () |
Returns the feature save method Created in NX6.0.0. | |
void | InsertKnot (NXOpen::NXObject *xformObject) |
Inserts knot in the selected xform object Created in NX6.0.0. | |
NXOpen::Features::StudioXformBuilderEx::InsertKnotDirectionType | InsertKnotDirection () |
Returns the insert knot direction Created in NX6.0.0. | |
int | InsertKnotParameter () |
Returns the parameter where to insert knots Created in NX6.0.0. | |
void | InsertKnots () |
Insert knots Created in NX6.0.0. | |
void | InsertPole (NXOpen::NXObject *xformObject, int poleIndex, NXOpen::Features::StudioXformBuilderEx::InsertPoleType insertType, NXOpen::Features::StudioXformBuilderEx::SurfaceDirectionType direction, double location) |
Inserts a pole in the selected xform object Created in NX8.0.0. | |
bool | IsSingleSelection () |
Returns the single selection flag Created in NX6.0.0. | |
bool | KeepAllContinuity () |
Returns a value indicating whether to keep all continuity Created in NX6.0.0. | |
bool | LockPoles () |
Returns a value indicating whether to lock poles in boundary constraints Created in NX8.5.0. | |
void | LockRegionNextObject () |
Move to next object in Lock Region method when more than one objected are in editing Created in NX8.5.0. | |
int | LockRegionUEndFlexibility () |
Returns the lock region flexibility at U end Created in NX6.0.0. | |
int | LockRegionUStartFlexibility () |
Returns the lock region flexibility at U start Created in NX6.0.0. | |
int | LockRegionVEndFlexibility () |
Returns the lock region flexibility at V end Created in NX6.0.0. | |
int | LockRegionVStartFlexibility () |
Returns the lock region flexibility at V start Created in NX6.0.0. | |
NXOpen::Plane * | MovementArbitraryPlane () |
Returns the movement arbitrary plane Created in NX7.0.0. | |
NXOpen::Direction * | MovementArbitraryVector () |
Returns the movement arbitrary vector Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::MovementMethodType | MovementMethod () |
Returns the movement method Created in NX7.0.0. | |
NXOpen::Plane * | PlanarizeArbitraryPlane () |
Returns the planarize arbitrary plane Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::PlanarizeDirectionType | PlanarizeDirection () |
Returns the planarize direction Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::PlanarizeMethodType | PlanarizeMethod () |
Returns the planarize method Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::PlanarizeProjectionPlaneType | PlanarizeProjectionPlane () |
Returns the planarize projection plane Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::PrincipalMovementDirectionType | PrincipalMovementDirection () |
Returns the principal movement direction Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::PrincipalRotatingAxisType | PrincipalRotatingAxis () |
Returns the principal rotating axis Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::PrincipalScalingDirectionType | PrincipalScalingDirection () |
Returns the principal scaling direction Created in NX7.0.0. | |
bool | ProportionalAllU () |
Returns a value indicating whether to use all poles in U direction during the proportional movement Created in NX6.0.0. | |
bool | ProportionalAllV () |
Returns a value indicating whether to use all poles in V direction during the proportional movement Created in NX6.0.0. | |
double | ProportionalFallOffScale () |
Returns the proportional fall off scale | |
int | ProportionalMoveAfterU () |
Returns a value indicating the pole number after u to participate in the proportional movement Created in NX6.0.0. | |
int | ProportionalMoveAfterV () |
Returns a value indicating the pole number after v to participate in the proportional movement Created in NX6.0.0. | |
int | ProportionalMoveBeforeU () |
Returns a value indicating the pole number before u to participate in the proportional movement Created in NX6.0.0. | |
int | ProportionalMoveBeforeV () |
Returns a value indicating the pole number before v to participate in the proportional movement Created in NX6.0.0. | |
NXOpen::Features::StudioXformBuilderEx::ProportionalPoleControlType | ProportionalPoleControlOption () |
Returns the proportional pole control type Created in NX8.5.0. | |
void | ProportionalReset () |
Reset the proportional scale | |
void | RebaseOriginalGeometry (NXOpen::NXObject *xformObject) |
Replaces the original geometry data of an entity with the current deformed geometry data Created in NX8.0.1. | |
void | RemovePole (NXOpen::NXObject *xformObject, int poleIndex, NXOpen::Features::StudioXformBuilderEx::SurfaceDirectionType direction) |
Inserts a pole in the selected xform object Created in NX8.0.0. | |
void | RestoreParentFace () |
Restore the parent face of a selection face Created in NX7.5.2. | |
NXOpen::Plane * | RotatingArbitraryPlane () |
Returns the rotating arbitrary plane Created in NX7.0.0. | |
NXOpen::Direction * | RotatingArbitraryVector () |
Returns the rotating arbitrary vector Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::RotatingAxisType | RotatingAxis () |
Returns the rotating axis Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::RotatingPivotType | RotatingPivot () |
Returns the rotating pivot Created in NX7.0.0. | |
NXOpen::Point * | RotatingPivotPoint () |
Returns the rotating pivot point Created in NX7.0.0. | |
NXOpen::Plane * | ScalingArbitraryPlane () |
Returns the scaling arbitrary plane Created in NX7.0.0. | |
NXOpen::Direction * | ScalingArbitraryVector () |
Returns the scaling arbitrary vector Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::ScalingCenterType | ScalingCenter () |
Returns the scaling center Created in NX7.0.0. | |
NXOpen::Point * | ScalingCenterPoint () |
Returns the scaling center point Created in NX7.0.0. | |
NXOpen::Features::StudioXformBuilderEx::ScalingDirectionType | ScalingDirection () |
Returns the scaling direction Created in NX7.0.0. | |
void | SetAdvancedMethod (NXOpen::Features::StudioXformBuilderEx::AdvancedMethodType advancedMethod) |
Sets the advanced method | |
void | SetAdvancedMethodOption (NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOptionType advancedMethod) |
Sets the advanced method Created in NX8.5.0. | |
void | SetCanUseFaceFinder (bool canUseFaceFinder) |
Sets the using face finder flag Created in NX7.5.0. | |
void | SetExtractMethod (NXOpen::Features::StudioXformBuilderEx::ExtrationMethodType extractMethod) |
Sets the b-surface extraction method Created in NX8.5.0. | |
void | SetExtractTolerance (double extractTolerance) |
Sets the value indicating a tolerance to be used to extract a b-surface from a selection face Created in NX7.5.0. | |
void | SetFallOffScale (double fallOffScale) |
Sets the fall off scale Created in NX6.0.0. | |
void | SetFeatureSaveMethod (NXOpen::Features::StudioXformBuilderEx::FeatureType featureSaveMethod) |
Sets the feature save method Created in NX6.0.0. | |
void | SetInsertKnotDirection (NXOpen::Features::StudioXformBuilderEx::InsertKnotDirectionType insertKnotDirection) |
Sets the insert knot direction Created in NX6.0.0. | |
void | SetInsertKnotParameter (int insertKnotSlider) |
Sets the parameter where to insert knots Created in NX6.0.0. | |
void | SetKeepAllContinuity (bool keepAllContinuity) |
Sets a value indicating whether to keep all continuity Created in NX6.0.0. | |
void | SetLockPoles (bool lockPoles) |
Sets a value indicating whether to lock poles in boundary constraints Created in NX8.5.0. | |
void | SetLockRegionUEndFlexibility (int lockRegionUEndFlexibility) |
Sets the lock region flexibility at U end Created in NX6.0.0. | |
void | SetLockRegionUStartFlexibility (int lockRegionUStartFlexibility) |
Sets the lock region flexibility at U start Created in NX6.0.0. | |
void | SetLockRegionVEndFlexibility (int lockRegionVEndFlexibility) |
Sets the lock region flexibility at V end Created in NX6.0.0. | |
void | SetLockRegionVStartFlexibility (int lockRegionVStartFlexibility) |
Sets the lock region flexibility at V start Created in NX6.0.0. | |
void | SetMovementArbitraryPlane (NXOpen::Plane *movementArbitraryPlane) |
Sets the movement arbitrary plane Created in NX7.0.0. | |
void | SetMovementArbitraryVector (NXOpen::Direction *movementArbitraryVector) |
Sets the movement arbitrary vector Created in NX7.0.0. | |
void | SetMovementMethod (NXOpen::Features::StudioXformBuilderEx::MovementMethodType movementMethod) |
Sets the movement method Created in NX7.0.0. | |
void | SetPlanarizeArbitraryPlane (NXOpen::Plane *planarizeArbitraryPlane) |
Sets the planarize arbitrary plane Created in NX7.0.0. | |
void | SetPlanarizeDirection (NXOpen::Features::StudioXformBuilderEx::PlanarizeDirectionType planarizeDirection) |
Sets the planarize direction Created in NX7.0.0. | |
void | SetPlanarizeMethod (NXOpen::Features::StudioXformBuilderEx::PlanarizeMethodType planarizeMethod) |
Sets the planarize method Created in NX7.0.0. | |
void | SetPlanarizeProjectionPlane (NXOpen::Features::StudioXformBuilderEx::PlanarizeProjectionPlaneType planarizeProjectionPlane) |
Sets the planarize projection plane Created in NX7.0.0. | |
void | SetPoleEditType (NXOpen::NXObject *xformObject, int index, NXOpen::Features::StudioXformBuilderEx::PoleEditType poleEditType) |
Update pole status of the selected BSpine curve Created in NX7.5.4. | |
void | SetPrincipalMovementDirection (NXOpen::Features::StudioXformBuilderEx::PrincipalMovementDirectionType principalMovementDirection) |
Sets the principal movement direction Created in NX7.0.0. | |
void | SetPrincipalRotatingAxis (NXOpen::Features::StudioXformBuilderEx::PrincipalRotatingAxisType principalRotatingAxis) |
Sets the principal rotating axis Created in NX7.0.0. | |
void | SetPrincipalScalingDirection (NXOpen::Features::StudioXformBuilderEx::PrincipalScalingDirectionType principalScalingDirection) |
Sets the principal scaling direction Created in NX7.0.0. | |
void | SetProportionalAllU (bool proportionalAllU) |
Sets a value indicating whether to use all poles in U direction during the proportional movement Created in NX6.0.0. | |
void | SetProportionalAllV (bool proportionalAllV) |
Sets a value indicating whether to use all poles in V direction during the proportional movement Created in NX6.0.0. | |
void | SetProportionalFallOffScale (double proportionalFallOffScale) |
Sets the proportional fall off scale | |
void | SetProportionalMoveAfterU (int proportionalMoveAfterU) |
Sets a value indicating the pole number after u to participate in the proportional movement Created in NX6.0.0. | |
void | SetProportionalMoveAfterV (int proportionalMoveAfterV) |
Sets a value indicating the pole number after v to participate in the proportional movement Created in NX6.0.0. | |
void | SetProportionalMoveBeforeU (int proportionalMoveBeforeU) |
Sets a value indicating the pole number before u to participate in the proportional movement Created in NX6.0.0. | |
void | SetProportionalMoveBeforeV (int proportionalMoveBeforeV) |
Sets a value indicating the pole number before v to participate in the proportional movement Created in NX6.0.0. | |
void | SetProportionalPoleControlOption (NXOpen::Features::StudioXformBuilderEx::ProportionalPoleControlType poleControlOption) |
Sets the proportional pole control type Created in NX8.5.0. | |
void | SetRotatingArbitraryPlane (NXOpen::Plane *rotatingArbitraryPlane) |
Sets the rotating arbitrary plane Created in NX7.0.0. | |
void | SetRotatingArbitraryVector (NXOpen::Direction *rotatingArbitraryVector) |
Sets the rotating arbitrary vector Created in NX7.0.0. | |
void | SetRotatingAxis (NXOpen::Features::StudioXformBuilderEx::RotatingAxisType rotatingAxis) |
Sets the rotating axis Created in NX7.0.0. | |
void | SetRotatingPivot (NXOpen::Features::StudioXformBuilderEx::RotatingPivotType rotatingPivot) |
Sets the rotating pivot Created in NX7.0.0. | |
void | SetRotatingPivotPoint (NXOpen::Point *rotatingPivotPoint) |
Sets the rotating pivot point Created in NX7.0.0. | |
void | SetScalingArbitraryPlane (NXOpen::Plane *scalingArbitraryPlane) |
Sets the scaling arbitrary plane Created in NX7.0.0. | |
void | SetScalingArbitraryVector (NXOpen::Direction *scalingArbitraryVector) |
Sets the scaling arbitrary vector Created in NX7.0.0. | |
void | SetScalingCenter (NXOpen::Features::StudioXformBuilderEx::ScalingCenterType scalingCenter) |
Sets the scaling center Created in NX7.0.0. | |
void | SetScalingCenterPoint (NXOpen::Point *scalingCenterPoint) |
Sets the scaling center point Created in NX7.0.0. | |
void | SetScalingDirection (NXOpen::Features::StudioXformBuilderEx::ScalingDirectionType scalingDirection) |
Sets the scaling direction Created in NX7.0.0. | |
void | SetSingleSelection (bool singleSelectionFlag) |
Sets the single selection flag Created in NX6.0.0. | |
void | SetType (NXOpen::Features::StudioXformBuilderEx::Types type) |
Sets the editing type Created in NX6.0.0. | |
NXOpen::GeometricUtilities::SurfaceRangeBuilder * | SurfaceRange () |
Returns the surface range Created in NX6.0.0. | |
NXOpen::Features::StudioXformBuilderEx::Types | Type () |
Returns the editing type Created in NX6.0.0. | |
void | UpdateLockRegionGeometry (NXOpen::NXObject *xformObject) |
Update lock region geometry with current geometry Created in NX6.0.2. | |
NXOpen::SelectNXObjectList * | XformObjects () |
Returns the object to be transformed. | |
NXOpen::GeometricUtilities::OrientXpressBuilder * | XformOX () |
Returns the orient express object Created in NX7.0.0. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::StudioXform Features::StudioXform@endlink builder <br> To create a new instance of this class, use @link Features::FeatureCollection::CreateStudioXformBuilderEx Features::FeatureCollection::CreateStudioXformBuilderEx @endlink <br>
Default values.
Property | Value |
---|---|
AdvancedMethodOption |
AdvancedOff |
CanUseFaceFinder |
0 |
CurveRange.AnchorPosition |
Start |
DegreesAndSegmentsOrPatches.Degree |
3 |
DegreesAndSegmentsOrPatches.SegmentsOrPatches |
1 |
DegreesAndSegmentsOrPatches.UDegree |
5 |
DegreesAndSegmentsOrPatches.UPatches |
1 |
DegreesAndSegmentsOrPatches.VDegree |
5 |
DegreesAndSegmentsOrPatches.VPatches |
1 |
ExtractMethod |
Original |
FaceFinder.CoaxialEnabled |
0 |
FaceFinder.CoplanarAxesEnabled |
0 |
FaceFinder.CoplanarEnabled |
0 |
FaceFinder.EqualDiameterEnabled |
0 |
FaceFinder.OffsetEnabled |
0 |
FaceFinder.ParallelEnabled |
0 |
FaceFinder.PerpendicularEnabled |
0 |
FaceFinder.SymmetricEnabled |
0 |
FaceFinder.TangentEnabled |
0 |
FaceFinder.ThicknessChainEnabled |
0 |
FaceFinder.UseFaceBrowse |
1 |
FallOffScale |
0 |
FeatureSaveMethod |
Relative |
InsertKnotDirection |
UDirection |
InsertKnotParameter |
20 |
IsSingleSelection |
1 |
KeepAllContinuity |
0 |
LockPoles |
1 |
LockRegionUEndFlexibility |
0 |
LockRegionUStartFlexibility |
0 |
LockRegionVEndFlexibility |
0 |
LockRegionVStartFlexibility |
0 |
MovementMethod | |
PlanarizeDirection |
U |
PlanarizeMethod |
AtPlaneLocation |
PlanarizeProjectionPlane |
YZ |
PrincipalMovementDirection |
Z |
PrincipalRotatingAxis |
Z |
PrincipalScalingDirection |
X |
ProportionalAllU |
1 |
ProportionalAllV |
1 |
ProportionalFallOffScale (deprecated) |
0.5 |
ProportionalMoveAfterU |
0 |
ProportionalMoveAfterV |
0 |
ProportionalMoveBeforeU |
0 |
ProportionalMoveBeforeV |
0 |
RotatingAxis | |
ScalingDirection | |
SurfaceRange.AnchorPosition |
Vertex1 |
Created in NX6.0.0.
Represents the advanced method type
Use Features::StudioXformBuilderEx::AdvancedMethodOptionType instead.
Represents the Xform movement type.
Represents the planarize projection plane type.
Editing types of a pole of spline belonging to a Studio Spline feature.
Represents the principal movement direction type.
Represents the principal scaling direction type.
PrincipalScalingDirectionTypeX |
Scale in X direction. |
PrincipalScalingDirectionTypeY |
Scale in Y direction. |
PrincipalScalingDirectionTypeZ |
Scale in Z direction. |
PrincipalScalingDirectionTypeYZ |
Scale on Y-Z plane. |
PrincipalScalingDirectionTypeXZ |
Scale on X-Z plane. |
PrincipalScalingDirectionTypeXY |
Scale on X-Y plane. |
Represents the scaling direction type.
NXOpen::Features::StudioXformBuilderEx::AdvancedMethodType NXOpen::Features::StudioXformBuilderEx::AdvancedMethod | ( | ) |
Returns the advanced method
Use Features::StudioXformBuilderEx::AdvancedMethodOption instead.
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOptionType NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOption | ( | ) |
Returns the advanced method
Created in NX8.5.0.
License requirements : None
bool NXOpen::Features::StudioXformBuilderEx::CanUseFaceFinder | ( | ) |
Returns the using face finder flag
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::StudioXformBuilderEx::ChangeDegree | ( | NXOpen::NXObject * | xformObject | ) |
Changes degree of the selected xform object
Use Features::StudioXformBuilderEx::ChangeDegreeWithParameters instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to change degree of |
void NXOpen::Features::StudioXformBuilderEx::ChangeDegreeWithParameters | ( | NXOpen::NXObject * | xformObject, |
int | uDegree, | ||
int | vDegree, | ||
int | uPatch, | ||
int | vPatch | ||
) |
Changes degree of the selected xform object with desired parameters
Created in NX8.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to change degree of |
uDegree | the U degree to change to, valid range is [1, 24] |
vDegree | the V degree to change to, valid range is [1, 24] |
uPatch | the U patch to change to, valid value is greater than 1 |
vPatch | the V patch to change to, valid value is greater than 1 |
void NXOpen::Features::StudioXformBuilderEx::ChangeFlexibility | ( | NXOpen::NXObject * | xformObject | ) |
Changes flexibility of the selected xform object
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to change flexibility of |
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilderEx::ContinuityUMax | ( | ) |
Returns the continuity at U maximum
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilderEx::ContinuityUMin | ( | ) |
Returns the continuity at U minimum
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilderEx::ContinuityVMax | ( | ) |
Returns the continuity at V maximum
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::Continuity* NXOpen::Features::StudioXformBuilderEx::ContinuityVMin | ( | ) |
Returns the continuity at V minimum
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::ControlPoleManagerData* NXOpen::Features::StudioXformBuilderEx::ControlPoleManager | ( | ) |
Returns the control pole manager
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilderEx::ConvertParameters | ( | NXOpen::NXObject * | xformObject | ) |
Converts parameters of the feature that owns selected xform object.
Converts through points studio spline feature to by poles feature, otherwise removes parameters of the feature.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to convert pameters from |
NXOpen::GeometricUtilities::CurveRangeBuilder* NXOpen::Features::StudioXformBuilderEx::CurveRange | ( | ) |
Returns the curve range
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::DegreesAndSegmentsOrPatchesBuilder* NXOpen::Features::StudioXformBuilderEx::DegreesAndSegmentsOrPatches | ( | ) |
Returns the degrees and segments or patches
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilderEx::EndLockRegion | ( | NXOpen::NXObject * | xformObject | ) |
End Lock Region operation to the selected xform object
Created in NX8.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to end Lock Region operation of |
NXOpen::Features::StudioXformBuilderEx::ExtrationMethodType NXOpen::Features::StudioXformBuilderEx::ExtractMethod | ( | ) |
Returns the b-surface extraction method
Created in NX8.5.0.
License requirements : None
double NXOpen::Features::StudioXformBuilderEx::ExtractTolerance | ( | ) |
Returns the value indicating a tolerance to be used to extract a b-surface from a selection face
Created in NX7.5.0.
License requirements : None
NXOpen::Features::FaceRecognitionBuilder* NXOpen::Features::StudioXformBuilderEx::FaceFinder | ( | ) |
Returns the face finder
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::StudioXformBuilderEx::FallOffReset | ( | ) |
Reset the fall off scale
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
double NXOpen::Features::StudioXformBuilderEx::FallOffScale | ( | ) |
Returns the fall off scale
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::FeatureType NXOpen::Features::StudioXformBuilderEx::FeatureSaveMethod | ( | ) |
Returns the feature save method
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilderEx::InsertKnot | ( | NXOpen::NXObject * | xformObject | ) |
Inserts knot in the selected xform object
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to insert knot in |
NXOpen::Features::StudioXformBuilderEx::InsertKnotDirectionType NXOpen::Features::StudioXformBuilderEx::InsertKnotDirection | ( | ) |
Returns the insert knot direction
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilderEx::InsertKnotParameter | ( | ) |
Returns the parameter where to insert knots
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilderEx::InsertKnots | ( | ) |
Insert knots
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StudioXformBuilderEx::InsertPole | ( | NXOpen::NXObject * | xformObject, |
int | poleIndex, | ||
NXOpen::Features::StudioXformBuilderEx::InsertPoleType | insertType, | ||
NXOpen::Features::StudioXformBuilderEx::SurfaceDirectionType | direction, | ||
double | location | ||
) |
Inserts a pole in the selected xform object
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to insert pole to |
poleIndex | which pole index to begin insert to |
insertType | Insert type |
direction | U or V direction a pole row on a surface is inserted, pass U direction for a curve |
location | a point between 2 poles to indicate where a pole should be inserted, express as % |
bool NXOpen::Features::StudioXformBuilderEx::IsSingleSelection | ( | ) |
Returns the single selection flag
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::StudioXformBuilderEx::KeepAllContinuity | ( | ) |
Returns a value indicating whether to keep all continuity
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::StudioXformBuilderEx::LockPoles | ( | ) |
Returns a value indicating whether to lock poles in boundary constraints
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::StudioXformBuilderEx::LockRegionNextObject | ( | ) |
Move to next object in Lock Region method when more than one objected are in editing
Created in NX8.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
int NXOpen::Features::StudioXformBuilderEx::LockRegionUEndFlexibility | ( | ) |
Returns the lock region flexibility at U end
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilderEx::LockRegionUStartFlexibility | ( | ) |
Returns the lock region flexibility at U start
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilderEx::LockRegionVEndFlexibility | ( | ) |
Returns the lock region flexibility at V end
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilderEx::LockRegionVStartFlexibility | ( | ) |
Returns the lock region flexibility at V start
Created in NX6.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::StudioXformBuilderEx::MovementArbitraryPlane | ( | ) |
Returns the movement arbitrary plane
Created in NX7.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::StudioXformBuilderEx::MovementArbitraryVector | ( | ) |
Returns the movement arbitrary vector
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::MovementMethodType NXOpen::Features::StudioXformBuilderEx::MovementMethod | ( | ) |
Returns the movement method
Created in NX7.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::StudioXformBuilderEx::PlanarizeArbitraryPlane | ( | ) |
Returns the planarize arbitrary plane
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::PlanarizeDirectionType NXOpen::Features::StudioXformBuilderEx::PlanarizeDirection | ( | ) |
Returns the planarize direction
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::PlanarizeMethodType NXOpen::Features::StudioXformBuilderEx::PlanarizeMethod | ( | ) |
Returns the planarize method
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::PlanarizeProjectionPlaneType NXOpen::Features::StudioXformBuilderEx::PlanarizeProjectionPlane | ( | ) |
Returns the planarize projection plane
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::PrincipalMovementDirectionType NXOpen::Features::StudioXformBuilderEx::PrincipalMovementDirection | ( | ) |
Returns the principal movement direction
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::PrincipalRotatingAxisType NXOpen::Features::StudioXformBuilderEx::PrincipalRotatingAxis | ( | ) |
Returns the principal rotating axis
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::PrincipalScalingDirectionType NXOpen::Features::StudioXformBuilderEx::PrincipalScalingDirection | ( | ) |
Returns the principal scaling direction
Created in NX7.0.0.
License requirements : None
bool NXOpen::Features::StudioXformBuilderEx::ProportionalAllU | ( | ) |
Returns a value indicating whether to use all poles in U direction during the proportional movement
Created in NX6.0.0.
License requirements : None
bool NXOpen::Features::StudioXformBuilderEx::ProportionalAllV | ( | ) |
Returns a value indicating whether to use all poles in V direction during the proportional movement
Created in NX6.0.0.
License requirements : None
double NXOpen::Features::StudioXformBuilderEx::ProportionalFallOffScale | ( | ) |
Returns the proportional fall off scale
Use Features::StudioXformBuilderEx::FallOffScale instead.
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilderEx::ProportionalMoveAfterU | ( | ) |
Returns a value indicating the pole number after u to participate in the proportional movement
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilderEx::ProportionalMoveAfterV | ( | ) |
Returns a value indicating the pole number after v to participate in the proportional movement
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilderEx::ProportionalMoveBeforeU | ( | ) |
Returns a value indicating the pole number before u to participate in the proportional movement
Created in NX6.0.0.
License requirements : None
int NXOpen::Features::StudioXformBuilderEx::ProportionalMoveBeforeV | ( | ) |
Returns a value indicating the pole number before v to participate in the proportional movement
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::ProportionalPoleControlType NXOpen::Features::StudioXformBuilderEx::ProportionalPoleControlOption | ( | ) |
Returns the proportional pole control type
Created in NX8.5.0.
License requirements : None
void NXOpen::Features::StudioXformBuilderEx::ProportionalReset | ( | ) |
Reset the proportional scale
Use Features::StudioXformBuilderEx::FallOffReset instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
void NXOpen::Features::StudioXformBuilderEx::RebaseOriginalGeometry | ( | NXOpen::NXObject * | xformObject | ) |
Replaces the original geometry data of an entity with the current deformed geometry data
Created in NX8.0.1.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to rebase the geometry data of |
void NXOpen::Features::StudioXformBuilderEx::RemovePole | ( | NXOpen::NXObject * | xformObject, |
int | poleIndex, | ||
NXOpen::Features::StudioXformBuilderEx::SurfaceDirectionType | direction | ||
) |
Inserts a pole in the selected xform object
Created in NX8.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to remove pole from |
poleIndex | which pole index to remove |
direction | U or V direction a pole row on a surface is removed, pass U direction for a curve |
void NXOpen::Features::StudioXformBuilderEx::RestoreParentFace | ( | ) |
Restore the parent face of a selection face
Created in NX7.5.2.
License requirements : studio_free_form ("STUDIO FREE FORM")
NXOpen::Plane* NXOpen::Features::StudioXformBuilderEx::RotatingArbitraryPlane | ( | ) |
Returns the rotating arbitrary plane
Created in NX7.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::StudioXformBuilderEx::RotatingArbitraryVector | ( | ) |
Returns the rotating arbitrary vector
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::RotatingAxisType NXOpen::Features::StudioXformBuilderEx::RotatingAxis | ( | ) |
Returns the rotating axis
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::RotatingPivotType NXOpen::Features::StudioXformBuilderEx::RotatingPivot | ( | ) |
Returns the rotating pivot
Created in NX7.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::StudioXformBuilderEx::RotatingPivotPoint | ( | ) |
Returns the rotating pivot point
Created in NX7.0.0.
License requirements : None
NXOpen::Plane* NXOpen::Features::StudioXformBuilderEx::ScalingArbitraryPlane | ( | ) |
Returns the scaling arbitrary plane
Created in NX7.0.0.
License requirements : None
NXOpen::Direction* NXOpen::Features::StudioXformBuilderEx::ScalingArbitraryVector | ( | ) |
Returns the scaling arbitrary vector
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::ScalingCenterType NXOpen::Features::StudioXformBuilderEx::ScalingCenter | ( | ) |
Returns the scaling center
Created in NX7.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::StudioXformBuilderEx::ScalingCenterPoint | ( | ) |
Returns the scaling center point
Created in NX7.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::ScalingDirectionType NXOpen::Features::StudioXformBuilderEx::ScalingDirection | ( | ) |
Returns the scaling direction
Created in NX7.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilderEx::SetAdvancedMethod | ( | NXOpen::Features::StudioXformBuilderEx::AdvancedMethodType | advancedMethod | ) |
Sets the advanced method
Use Features::StudioXformBuilderEx::SetAdvancedMethodOption instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
advancedMethod | advancedmethod |
void NXOpen::Features::StudioXformBuilderEx::SetAdvancedMethodOption | ( | NXOpen::Features::StudioXformBuilderEx::AdvancedMethodOptionType | advancedMethod | ) |
Sets the advanced method
Created in NX8.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
advancedMethod | advancedmethod |
void NXOpen::Features::StudioXformBuilderEx::SetCanUseFaceFinder | ( | bool | canUseFaceFinder | ) |
Sets the using face finder flag
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
canUseFaceFinder | canusefacefinder |
void NXOpen::Features::StudioXformBuilderEx::SetExtractMethod | ( | NXOpen::Features::StudioXformBuilderEx::ExtrationMethodType | extractMethod | ) |
Sets the b-surface extraction method
Created in NX8.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
extractMethod | extractmethod |
void NXOpen::Features::StudioXformBuilderEx::SetExtractTolerance | ( | double | extractTolerance | ) |
Sets the value indicating a tolerance to be used to extract a b-surface from a selection face
Created in NX7.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
extractTolerance | extracttolerance |
void NXOpen::Features::StudioXformBuilderEx::SetFallOffScale | ( | double | fallOffScale | ) |
Sets the fall off scale
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
fallOffScale | falloffscale |
void NXOpen::Features::StudioXformBuilderEx::SetFeatureSaveMethod | ( | NXOpen::Features::StudioXformBuilderEx::FeatureType | featureSaveMethod | ) |
Sets the feature save method
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
featureSaveMethod | featuresavemethod |
void NXOpen::Features::StudioXformBuilderEx::SetInsertKnotDirection | ( | NXOpen::Features::StudioXformBuilderEx::InsertKnotDirectionType | insertKnotDirection | ) |
Sets the insert knot direction
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
insertKnotDirection | insertknotdirection |
void NXOpen::Features::StudioXformBuilderEx::SetInsertKnotParameter | ( | int | insertKnotSlider | ) |
Sets the parameter where to insert knots
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
insertKnotSlider | insertknotslider |
void NXOpen::Features::StudioXformBuilderEx::SetKeepAllContinuity | ( | bool | keepAllContinuity | ) |
Sets a value indicating whether to keep all continuity
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
keepAllContinuity | keepallcontinuity |
void NXOpen::Features::StudioXformBuilderEx::SetLockPoles | ( | bool | lockPoles | ) |
Sets a value indicating whether to lock poles in boundary constraints
Created in NX8.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
lockPoles | lockpoles |
void NXOpen::Features::StudioXformBuilderEx::SetLockRegionUEndFlexibility | ( | int | lockRegionUEndFlexibility | ) |
Sets the lock region flexibility at U end
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
lockRegionUEndFlexibility | lockregionuendflexibility |
void NXOpen::Features::StudioXformBuilderEx::SetLockRegionUStartFlexibility | ( | int | lockRegionUStartFlexibility | ) |
Sets the lock region flexibility at U start
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
lockRegionUStartFlexibility | lockregionustartflexibility |
void NXOpen::Features::StudioXformBuilderEx::SetLockRegionVEndFlexibility | ( | int | lockRegionVEndFlexibility | ) |
Sets the lock region flexibility at V end
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
lockRegionVEndFlexibility | lockregionvendflexibility |
void NXOpen::Features::StudioXformBuilderEx::SetLockRegionVStartFlexibility | ( | int | lockRegionVStartFlexibility | ) |
Sets the lock region flexibility at V start
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
lockRegionVStartFlexibility | lockregionvstartflexibility |
void NXOpen::Features::StudioXformBuilderEx::SetMovementArbitraryPlane | ( | NXOpen::Plane * | movementArbitraryPlane | ) |
Sets the movement arbitrary plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
movementArbitraryPlane | movementarbitraryplane |
void NXOpen::Features::StudioXformBuilderEx::SetMovementArbitraryVector | ( | NXOpen::Direction * | movementArbitraryVector | ) |
Sets the movement arbitrary vector
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
movementArbitraryVector | movementarbitraryvector |
void NXOpen::Features::StudioXformBuilderEx::SetMovementMethod | ( | NXOpen::Features::StudioXformBuilderEx::MovementMethodType | movementMethod | ) |
Sets the movement method
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
movementMethod | movementmethod |
void NXOpen::Features::StudioXformBuilderEx::SetPlanarizeArbitraryPlane | ( | NXOpen::Plane * | planarizeArbitraryPlane | ) |
Sets the planarize arbitrary plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
planarizeArbitraryPlane | planarizearbitraryplane |
void NXOpen::Features::StudioXformBuilderEx::SetPlanarizeDirection | ( | NXOpen::Features::StudioXformBuilderEx::PlanarizeDirectionType | planarizeDirection | ) |
Sets the planarize direction
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
planarizeDirection | planarizedirection |
void NXOpen::Features::StudioXformBuilderEx::SetPlanarizeMethod | ( | NXOpen::Features::StudioXformBuilderEx::PlanarizeMethodType | planarizeMethod | ) |
Sets the planarize method
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
planarizeMethod | planarizemethod |
void NXOpen::Features::StudioXformBuilderEx::SetPlanarizeProjectionPlane | ( | NXOpen::Features::StudioXformBuilderEx::PlanarizeProjectionPlaneType | planarizeProjectionPlane | ) |
Sets the planarize projection plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
planarizeProjectionPlane | planarizeprojectionplane |
void NXOpen::Features::StudioXformBuilderEx::SetPoleEditType | ( | NXOpen::NXObject * | xformObject, |
int | index, | ||
NXOpen::Features::StudioXformBuilderEx::PoleEditType | poleEditType | ||
) |
Update pole status of the selected BSpine curve
Created in NX7.5.4.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | spline being edited |
index | index of a pole being edited |
poleEditType | the pole edit type |
void NXOpen::Features::StudioXformBuilderEx::SetPrincipalMovementDirection | ( | NXOpen::Features::StudioXformBuilderEx::PrincipalMovementDirectionType | principalMovementDirection | ) |
Sets the principal movement direction
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
principalMovementDirection | principalmovementdirection |
void NXOpen::Features::StudioXformBuilderEx::SetPrincipalRotatingAxis | ( | NXOpen::Features::StudioXformBuilderEx::PrincipalRotatingAxisType | principalRotatingAxis | ) |
Sets the principal rotating axis
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
principalRotatingAxis | principalrotatingaxis |
void NXOpen::Features::StudioXformBuilderEx::SetPrincipalScalingDirection | ( | NXOpen::Features::StudioXformBuilderEx::PrincipalScalingDirectionType | principalScalingDirection | ) |
Sets the principal scaling direction
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
principalScalingDirection | principalscalingdirection |
void NXOpen::Features::StudioXformBuilderEx::SetProportionalAllU | ( | bool | proportionalAllU | ) |
Sets a value indicating whether to use all poles in U direction during the proportional movement
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalAllU | proportionalallu |
void NXOpen::Features::StudioXformBuilderEx::SetProportionalAllV | ( | bool | proportionalAllV | ) |
Sets a value indicating whether to use all poles in V direction during the proportional movement
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalAllV | proportionalallv |
void NXOpen::Features::StudioXformBuilderEx::SetProportionalFallOffScale | ( | double | proportionalFallOffScale | ) |
Sets the proportional fall off scale
Use Features::StudioXformBuilderEx::SetFallOffScale instead.
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalFallOffScale | proportionalfalloffscale |
void NXOpen::Features::StudioXformBuilderEx::SetProportionalMoveAfterU | ( | int | proportionalMoveAfterU | ) |
Sets a value indicating the pole number after u to participate in the proportional movement
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalMoveAfterU | proportionalmoveafteru |
void NXOpen::Features::StudioXformBuilderEx::SetProportionalMoveAfterV | ( | int | proportionalMoveAfterV | ) |
Sets a value indicating the pole number after v to participate in the proportional movement
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalMoveAfterV | proportionalmoveafterv |
void NXOpen::Features::StudioXformBuilderEx::SetProportionalMoveBeforeU | ( | int | proportionalMoveBeforeU | ) |
Sets a value indicating the pole number before u to participate in the proportional movement
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalMoveBeforeU | proportionalmovebeforeu |
void NXOpen::Features::StudioXformBuilderEx::SetProportionalMoveBeforeV | ( | int | proportionalMoveBeforeV | ) |
Sets a value indicating the pole number before v to participate in the proportional movement
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
proportionalMoveBeforeV | proportionalmovebeforev |
void NXOpen::Features::StudioXformBuilderEx::SetProportionalPoleControlOption | ( | NXOpen::Features::StudioXformBuilderEx::ProportionalPoleControlType | poleControlOption | ) |
Sets the proportional pole control type
Created in NX8.5.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
poleControlOption | polecontroloption |
void NXOpen::Features::StudioXformBuilderEx::SetRotatingArbitraryPlane | ( | NXOpen::Plane * | rotatingArbitraryPlane | ) |
Sets the rotating arbitrary plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
rotatingArbitraryPlane | rotatingarbitraryplane |
void NXOpen::Features::StudioXformBuilderEx::SetRotatingArbitraryVector | ( | NXOpen::Direction * | rotatingArbitraryVector | ) |
Sets the rotating arbitrary vector
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
rotatingArbitraryVector | rotatingarbitraryvector |
void NXOpen::Features::StudioXformBuilderEx::SetRotatingAxis | ( | NXOpen::Features::StudioXformBuilderEx::RotatingAxisType | rotatingAxis | ) |
Sets the rotating axis
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
rotatingAxis | rotatingaxis |
void NXOpen::Features::StudioXformBuilderEx::SetRotatingPivot | ( | NXOpen::Features::StudioXformBuilderEx::RotatingPivotType | rotatingPivot | ) |
Sets the rotating pivot
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
rotatingPivot | rotatingpivot |
void NXOpen::Features::StudioXformBuilderEx::SetRotatingPivotPoint | ( | NXOpen::Point * | rotatingPivotPoint | ) |
Sets the rotating pivot point
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
rotatingPivotPoint | rotatingpivotpoint |
void NXOpen::Features::StudioXformBuilderEx::SetScalingArbitraryPlane | ( | NXOpen::Plane * | scalingArbitraryPlane | ) |
Sets the scaling arbitrary plane
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
scalingArbitraryPlane | scalingarbitraryplane |
void NXOpen::Features::StudioXformBuilderEx::SetScalingArbitraryVector | ( | NXOpen::Direction * | scalingArbitraryVector | ) |
Sets the scaling arbitrary vector
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
scalingArbitraryVector | scalingarbitraryvector |
void NXOpen::Features::StudioXformBuilderEx::SetScalingCenter | ( | NXOpen::Features::StudioXformBuilderEx::ScalingCenterType | scalingCenter | ) |
Sets the scaling center
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
scalingCenter | scalingcenter |
void NXOpen::Features::StudioXformBuilderEx::SetScalingCenterPoint | ( | NXOpen::Point * | scalingCenterPoint | ) |
Sets the scaling center point
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
scalingCenterPoint | scalingcenterpoint |
void NXOpen::Features::StudioXformBuilderEx::SetScalingDirection | ( | NXOpen::Features::StudioXformBuilderEx::ScalingDirectionType | scalingDirection | ) |
Sets the scaling direction
Created in NX7.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
scalingDirection | scalingdirection |
void NXOpen::Features::StudioXformBuilderEx::SetSingleSelection | ( | bool | singleSelectionFlag | ) |
Sets the single selection flag
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
singleSelectionFlag | singleselectionflag |
void NXOpen::Features::StudioXformBuilderEx::SetType | ( | NXOpen::Features::StudioXformBuilderEx::Types | type | ) |
Sets the editing type
Created in NX6.0.0.
License requirements : studio_free_form ("STUDIO FREE FORM")
type | type |
NXOpen::GeometricUtilities::SurfaceRangeBuilder* NXOpen::Features::StudioXformBuilderEx::SurfaceRange | ( | ) |
Returns the surface range
Created in NX6.0.0.
License requirements : None
NXOpen::Features::StudioXformBuilderEx::Types NXOpen::Features::StudioXformBuilderEx::Type | ( | ) |
Returns the editing type
Created in NX6.0.0.
License requirements : None
void NXOpen::Features::StudioXformBuilderEx::UpdateLockRegionGeometry | ( | NXOpen::NXObject * | xformObject | ) |
Update lock region geometry with current geometry
Created in NX6.0.2.
License requirements : studio_free_form ("STUDIO FREE FORM")
xformObject | the selected face or curve to change flexibility of |
NXOpen::SelectNXObjectList* NXOpen::Features::StudioXformBuilderEx::XformObjects | ( | ) |
Returns the object to be transformed.
Any face having b-surface type geometry or curve having b-curve geometry can be transformed.
Created in NX6.0.0.
License requirements : None
NXOpen::GeometricUtilities::OrientXpressBuilder* NXOpen::Features::StudioXformBuilderEx::XformOX | ( | ) |
Returns the orient express object
Created in NX7.0.0.
License requirements : None